Subject: Re (2): quota-03 spec review, was: I-D ACTION:draft-ietf-webdav-quota-03.txt

From: [email-masked]
Date: Fri, 3 Sep 2004 21:40:28 +0200 (MEST)

Julian Reschke <[email-masked]> wrote:
> Lisa Dusseault wrote:
> > <D:error>
> >   <D:quota-not-exceeded/>
> > </D:error>
This also a matter of wording. Perhaps negatives should be avoided in conditions.
So what about: D:quota-met ?
Ok, it would be better it we had something like D:unmet-condition 
(Probably D:condition would be good enough together with an HTTP error code)
instead of D:error. But I can live with it.
> > 
> > and think "Huh?  My error is that quota is not exceeded? what's up with 
> > that? "  I can even imagine bugs logged against implementors who 
> > correctly follow the spec.
> 
> On the other hand, implementors may be accustomed with the terminology 
> used by RFC3253, RFC3648 and RFC3744, and become confused by a new spec 
> being inconsistent with it.
> 
> Also, people seeing DAV:error (and not already familiar with RFC3253) 
> will hopefully find the specification, which will point them to RFC3253, 
> section 1.6, which explains it all.
I agree that it's surprising at first, Lisa. OTOH pre- and postconditions are
a fine concept IMHO.
Remember a computer language from the Middle Ages called Eiffel ;-?
So even if it was done differently in former times I would go with RFC3253, RFC3648,
RFC3744 and Julian in the future.

Cheers, Edgar
-- 
[email-masked],       Running Bluebottle           www.edgarschwarz.de
      Make it as simple as possible, but not simpler !  Albert Einstein
www.edgar-schwarz.de/cgi-bin/moin/ www.edgar-schwarz.de/cgi-bin/moin/SwOberon